/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package conexionCredibanco.entity;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author viatori
 */
@Entity
@Table(name = "ref_codigos_respuesta")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RefCodigosRespuesta.findAll", query = "SELECT r FROM RefCodigosRespuesta r")
    , @NamedQuery(name = "RefCodigosRespuesta.findByCodigo", query = "SELECT r FROM RefCodigosRespuesta r WHERE r.codigo = :codigo")
    , @NamedQuery(name = "RefCodigosRespuesta.findByDescripcion", query = "SELECT r FROM RefCodigosRespuesta r WHERE r.descripcion = :descripcion")
    , @NamedQuery(name = "RefCodigosRespuesta.findByCodB24", query = "SELECT r FROM RefCodigosRespuesta r WHERE r.codB24 = :codB24")})
public class RefCodigosRespuesta implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "codigo")
    private String codigo;
    @Column(name = "descripcion")
    private String descripcion;
    @Column(name = "cod_b24")
    private String codB24;

    public RefCodigosRespuesta() {
    }

    public RefCodigosRespuesta(String codigo) {
        this.codigo = codigo;
    }

    public String getCodigo() {
        return codigo;
    }

    public void setCodigo(String codigo) {
        this.codigo = codigo;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public String getCodB24() {
        return codB24;
    }

    public void setCodB24(String codB24) {
        this.codB24 = codB24;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (codigo != null ? codigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RefCodigosRespuesta)) {
            return false;
        }
        RefCodigosRespuesta other = (RefCodigosRespuesta) object;
        if ((this.codigo == null && other.codigo != null) || (this.codigo != null && !this.codigo.equals(other.codigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "conexionCredibanco.entity.RefCodigosRespuesta[ codigo=" + codigo + " ]";
    }
    
}
